Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 622604 - Schema syntax error while parsing in OpenLDAP
Schema syntax error while parsing in OpenLDAP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 17:53 EDT by Michal Bruncko
Modified: 2013-04-30 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: bind-dyndb-ldap-0.1.0-0.15.b.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-03 14:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Bruncko 2010-08-09 17:53:19 EDT
Description of problem:
Using bind-dyndb-ldap schema (from /usr/share/doc/bind-dyndb-ldap-0.1.0/schema) in openldap casues syntax error while its processing.

Version-Release number of selected component (if applicable):
openldap-2.4.21-9.fc13.x86_64
bind-dyndb-ldap-0.1.0-0.9.a1.20091210git.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. use bind-dyndb-ldap schema in openldap 
2. try to restart openldap or use slaptest
  
Actual results:
[root@host openldap]# slaptest -f slapd.conf.bak
/etc/openldap/schema/bind-dyndb.schema: line 5 attributetype: Missing closing parenthesis before end of input
AttributeTypeDescription = "(" whsp
  numericoid whsp      ; AttributeType identifier
  [ "NAME" qdescrs ]             ; name used in AttributeType
  [ "DESC" qdstring ]            ; description
  [ "OBSOLETE" whsp ]
  [ "SUP" woid ]                 ; derived from this other
                                   ; AttributeType
  [ "EQUALITY" woid ]            ; Matching Rule name
  [ "ORDERING" woid ]            ; Matching Rule name
  [ "SUBSTR" woid ]              ; Matching Rule name
  [ "SYNTAX" whsp noidlen whsp ] ; see section 4.3
  [ "SINGLE-VALUE" whsp ]        ; default multi-valued
  [ "COLLECTIVE" whsp ]          ; default not collective
  [ "NO-USER-MODIFICATION" whsp ]; default user modifiable
  [ "USAGE" whsp AttributeUsage ]; default userApplications
                                   ; userApplications
                                   ; directoryOperation
                                   ; distributedOperation
                                   ; dSAOperation
  whsp ")"
slaptest: bad configuration file!

Expected results:
Successful parsing

Additional info:
The reported syntax errors are valid for all of entries in schema (attributes and objectclasses). Closing parenthesis needs to be on the end of last line of entry, like this:
attributetype ( 1.3.6.1.4.1.2428.20.0.0
        NAME 'dNSTTL'
        DESC 'An integer denoting time to live'
        EQUALITY integerMatch
        SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 )
Comment 1 Fedora Admin XMLRPC Client 2010-12-15 10:41:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2010-12-15 12:42:22 EST
bind-dyndb-ldap-0.1.0-0.15.b.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bind-dyndb-ldap-0.1.0-0.15.b.fc14
Comment 3 Fedora Update System 2010-12-15 12:42:33 EST
bind-dyndb-ldap-0.1.0-0.11.a1.20091210git.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bind-dyndb-ldap-0.1.0-0.11.a1.20091210git.fc13
Comment 4 Fedora Update System 2010-12-17 03:30:36 EST
bind-dyndb-ldap-0.1.0-0.15.b.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind-dyndb-ldap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bind-dyndb-ldap-0.1.0-0.15.b.fc14
Comment 5 Michal Bruncko 2010-12-19 10:28:40 EST
worked! thanks
Comment 6 Fedora Update System 2011-01-03 14:59:17 EST
bind-dyndb-ldap-0.1.0-0.11.a1.20091210git.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-01-03 15:08:12 EST
bind-dyndb-ldap-0.1.0-0.15.b.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.